package com.thalesgroup.dtkit.metrics.hudson.model;

import org.kohsuke.stapler.DataBoundConstructor;
import hudson.Extension;
import com.thalesgroup.dtkit.metrics.hudson.api.type.ViolationsType;
import com.thalesgroup.dtkit.metrics.hudson.api.descriptor.ViolationsTypeDescriptor;

public class KlocworkHudsonViolationsType extends ViolationsType {

private static ViolationsTypeDescriptor<? extends ViolationsType> DESCRIPTOR = new KlocworkHudsonViolationsType.DescriptorImpl();

@DataBoundConstructor
public KlocworkHudsonViolationsType(String pattern, boolean faildedIfNotNew, boolean deleteOutputFiles) {
  super(pattern, faildedIfNotNew, deleteOutputFiles);
}

public ViolationsTypeDescriptor<? extends ViolationsType> getDescriptor() {
 return  DESCRIPTOR;
}

@Extension
public static class DescriptorImpl  extends ViolationsTypeDescriptor<KlocworkHudsonViolationsType> {

  public DescriptorImpl() {
     super(KlocworkHudsonViolationsType.class, com.thalesgroup.dtkit.tusar.Klocwork.class);
  }

public String getId() {
 return "class com.thalesgroup.dtkit.tusar.Klocwork";
}

}

}
